<?

class ARR_deps extends c_IL_list
{ var $sort_recs='obj_name' ;
  var $list_id=1 ;

  function init_vars($list_name)
  {  $this->name=$list_name ;
     $_SESSION['index_list_names'][$list_name]=$list_name ;
     $this->tkey=_table_id('obj_site_personals') ;
     $this->table_name='obj_site_personals' ;
     $this->sort_recs='obj_name' ;
     $this->usl_select_rows='enabled=1 and _enabled=1 and clss in (207,208)' ;
     //damp_array($this,1,-1) ;
  }
    

  function init(&$rec)
     {

        //$rec['_url_dir']=safe_text_to_url($rec['obj_name']) ;

     }

}

class ARR_accounts extends c_IL_list
{
  function init(&$rec)
  {
    ACCOUNTS()->prepare_public_info_to_member($rec) ;
  }
}

// выполняется только при reboot!!
function after_init_system()
{
}


?>